# Class ConstantInteger

java.lang.Object
org.apache.bcel.classfile.Constant
org.apache.bcel.classfile.ConstantInteger

All Implemented Interfaces:
  `Cloneable, ConstantObject, Node`

public final class ConstantInteger extends Constant implements ConstantObject
This class is derived from the abstract `Constant` and represents a reference to an int object.

See Also:
  - `Constant`

- ## Field Summary

  ### Fields inherited from class Constant

  `tag`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantInteger(int bytes)`
  Constructs a ConstantInteger.
  `ConstantInteger(ConstantInteger c)`
  Initialize from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class.
  `void`
  `dump(DataOutputStream file)`
  Dumps constant integer to file stream in binary format.
  `int`
  `getBytes()`
  Gets the data.
  `Object`
  `getConstantValue(ConstantPool cp)`
  Gets the Integer object.
  `void`
  `setBytes(int bytes)`
  Sets the raw bytes that represent the integer value.
  `String`
  `toString()`

  ### Methods inherited from class Constant

  `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantInteger

    public ConstantInteger(ConstantInteger c)
    Initialize from another object.
    Parameters:
      `c` - Source to copy.

  - ### ConstantInteger

    public ConstantInteger(int bytes)
    Constructs a ConstantInteger.
    Parameters:
      `bytes` - Data.

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Called by objects that are traversing the nodes of the tree implicitly defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
    Specified by:
      `accept` in interface `Node`
    Specified by:
      `accept` in class `Constant`
    Parameters:
      `v` - Visitor object.

  - ### dump

    public void dump(DataOutputStream file) throws IOException
    Dumps constant integer to file stream in binary format.
    Specified by:
      `dump` in class `Constant`
    Parameters:
      `file` - Output file stream.
    Throws:
      `IOException` - if an I/O error occurs.

  - ### getBytes

    public int getBytes()
    Gets the data.
    Returns:
      data, that is, 4 bytes.

  - ### getConstantValue

    public Object getConstantValue(ConstantPool cp)
    Gets the Integer object.
    Specified by:
      `getConstantValue` in interface `ConstantObject`
    Parameters:
      `cp` - the constant pool (not used).
    Returns:
      Integer object.

  - ### setBytes

    public void setBytes(int bytes)
    Sets the raw bytes that represent the integer value.
    Parameters:
      `bytes` - the raw bytes that represent the integer value.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Constant`
    Returns:
      String representation.